#if !defined(AFX_DLGINTELLIGENTLOG_H__2E96D46D_8F99_45C4_8EA9_681FA36CCAAB__INCLUDED_)
#define AFX_DLGINTELLIGENTLOG_H__2E96D46D_8F99_45C4_8EA9_681FA36CCAAB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgIntelligentLog.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDlgSmartLog dialog

class CDlgSmartLog : public CDialog
{
// Construction
public:
	CDlgSmartLog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CDlgSmartLog)
	enum { IDD = IDD_DLG_SMLOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgSmartLog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgSmartLog)
	virtual void OnOK();
	virtual void OnCancel();
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnCleanalarm();
	afx_msg void OnDestroy();
	afx_msg LRESULT OnVAAlarm(WPARAM wParam,LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGINTELLIGENTLOG_H__2E96D46D_8F99_45C4_8EA9_681FA36CCAAB__INCLUDED_)
